<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content miscellaneous-enumerations">
                   <div class="content-data">














                   

<ol class="breadcrumb">
  <li>Miscellaneous</li>
  <li>Enumerations</li>
</ol>

<section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <ul class="index-list">
                        <li>
                            <a href="#DatabaseModels" title="src/database/mongodb/models.ts"><b>DatabaseModels</b>&nbsp;&nbsp;&nbsp;(src/.../models.ts)</a>
                        </li>
                        <li>
                            <a href="#DatabaseModels" title="src/database/firebase/database.ts"><b>DatabaseModels</b>&nbsp;&nbsp;&nbsp;(src/.../database.ts)</a>
                        </li>
                        <li>
                            <a href="#DevicePlatformsEnum" title="src/models/common/common.ts"><b>DevicePlatformsEnum</b>&nbsp;&nbsp;&nbsp;(src/.../common.ts)</a>
                        </li>
                        <li>
                            <a href="#GenericDatabaseModels" title="src/database/mongodb/models.ts"><b>GenericDatabaseModels</b>&nbsp;&nbsp;&nbsp;(src/.../models.ts)</a>
                        </li>
                        <li>
                            <a href="#GeoIndexes" title="src/database/mongodb/indexes.ts"><b>GeoIndexes</b>&nbsp;&nbsp;&nbsp;(src/.../indexes.ts)</a>
                        </li>
                        <li>
                            <a href="#MESSAGE_SERVICES" title="src/index.ts"><b>MESSAGE_SERVICES</b>&nbsp;&nbsp;&nbsp;(src/.../index.ts)</a>
                        </li>
                        <li>
                            <a href="#RoleAccessTypes" title="src/services/users/models/index.ts"><b>RoleAccessTypes</b>&nbsp;&nbsp;&nbsp;(src/.../index.ts)</a>
                        </li>
                        <li>
                            <a href="#RoleTypes" title="src/services/users/models/index.ts"><b>RoleTypes</b>&nbsp;&nbsp;&nbsp;(src/.../index.ts)</a>
                        </li>
                        <li>
                            <a href="#Routes" title="src/routes/auth/auth.controller.ts"><b>Routes</b>&nbsp;&nbsp;&nbsp;(src/.../auth.controller.ts)</a>
                        </li>
                        <li>
                            <a href="#Routes" title="src/routes/business/index.ts"><b>Routes</b>&nbsp;&nbsp;&nbsp;(src/.../index.ts)</a>
                        </li>
                        <li>
                            <a href="#SocialProviders" title="src/routes/auth/auth.controller.ts"><b>SocialProviders</b>&nbsp;&nbsp;&nbsp;(src/.../auth.controller.ts)</a>
                        </li>
                        <li>
                            <a href="#SocialProviders" title="src/services/users/models/social-account.ts"><b>SocialProviders</b>&nbsp;&nbsp;&nbsp;(src/.../social-account.ts)</a>
                        </li>
                        <li>
                            <a href="#SocketRooms" title="src/routes/socket/index.ts"><b>SocketRooms</b>&nbsp;&nbsp;&nbsp;(src/.../index.ts)</a>
                        </li>
                        <li>
                            <a href="#TextIndexes" title="src/database/mongodb/indexes.ts"><b>TextIndexes</b>&nbsp;&nbsp;&nbsp;(src/.../indexes.ts)</a>
                        </li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
</section>

    <h3>src/database/mongodb/models.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="DatabaseModels"></a>
                        <span class="name"><b>DatabaseModels</b><a href="#DatabaseModels"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;USERS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>users</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;CUSTOMERS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>customers</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SUBSCRIPTIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>subscriptions</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;EVENTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>events</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;POSTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>posts</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOTIFICATIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>notifications</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOTIFICATION_SUBSCRIPTIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>notification_subscriptions</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOTIFICATION_QUEUE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>notification_que</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FOLLOWSHIP
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>follow_relationships</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REACTIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>reactions</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;COMMENTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>comments</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;MAPBOX_REQUESTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>mapbox_requests</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SUPPORT_REQUESTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>support_requests</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SOCIAL_ANALYTICS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>social_analytics</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_BUSINESS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_business</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_PINS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_pins</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_TRAILS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_trails</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_AREAS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_areas</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_COUNTIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_counties</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_MUNICIPALITIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_municipalities</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_ZONES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_zones</code>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="GenericDatabaseModels"></a>
                        <span class="name"><b>GenericDatabaseModels</b><a href="#GenericDatabaseModels"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;USERS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>users</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;CUSTOMERS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>customers</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SUBSCRIPTIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>subscriptions</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;EVENTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>events</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;POSTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>posts</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOTIFICATIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>notifications</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOTIFICATION_SUBSCRIPTIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>notification_subscriptions</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOTIFICATION_QUEUE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>notification_que</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FOLLOWSHIP
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>follow_relationships</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;BUSINESS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_business</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;PINS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_pins</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;TRAILS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_trails</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;MAPBOX_REQUESTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>mapbox_requests</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;AREAS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_areas</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;COUNTIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_counties</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ZONES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_zones</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;MUNICIPALITIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_municipalities</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/database/firebase/database.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="DatabaseModels"></a>
                        <span class="name"><b>DatabaseModels</b><a href="#DatabaseModels"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;USERS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>users</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;NOTIFICATIONS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>notifications</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FOLLOWSHIP
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>follow_relationships</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;JOBS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>jobs</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_BUSINESS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_business</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_PINS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_pins</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_PINS_LIKES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_pins_likes</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_PINS_COMMENTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_pins_comments</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_POSTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_posts</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_TRAILS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_trails</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_AREAS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_areas</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_COUNTIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_counties</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_COUNTY_CODES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_county_codes</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_MUNICIPALITY_CODES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_municipality_codes</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_MUNICIPALITIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_municipalities</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_ZONES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_zones</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SE_EVENTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>se_events</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/models/common/common.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="DevicePlatformsEnum"></a>
                        <span class="name"><b>DevicePlatformsEnum</b><a href="#DevicePlatformsEnum"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;android
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>android</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ios
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ios</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;windows
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>windows</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;linux
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>linux</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;macos
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>macos</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;web
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>web</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/database/mongodb/indexes.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="GeoIndexes"></a>
                        <span class="name"><b>GeoIndexes</b><a href="#GeoIndexes"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;PIN_GEO_INDEX
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>pins_geo_index</code>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="TextIndexes"></a>
                        <span class="name"><b>TextIndexes</b><a href="#TextIndexes"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;USER_TEXT_INDEX
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>users_text_index</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/index.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="MESSAGE_SERVICES"></a>
                        <span class="name"><b>MESSAGE_SERVICES</b><a href="#MESSAGE_SERVICES"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;API_SERVICE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>api_service</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/services/users/models/index.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="RoleAccessTypes"></a>
                        <span class="name"><b>RoleAccessTypes</b><a href="#RoleAccessTypes"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;READ_PINS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>read:pins</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;READ_WRITE_PINS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>read-write:pins</code>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="RoleTypes"></a>
                        <span class="name"><b>RoleTypes</b><a href="#RoleTypes"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;PLEB
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>pleb</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;AFFILIATE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>affiliate</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;MOD
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>mod</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADMIN
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>admin</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/routes/auth/auth.controller.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="Routes"></a>
                        <span class="name"><b>Routes</b><a href="#Routes"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;LOGIN
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/login</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SOCIAL_LOGIN
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/social-login</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SOCIAL_ROLE_LOGIN
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/social-role-login</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SOCIAL_ADMIN_LOGIN
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/social-admin-login</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GET_FIREBASE_CONFIG
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/firebase-config</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;TWITCH_LOGIN
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/twitch-login</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REGISTER
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/register</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;CHECK_AVAILABILITY
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/check-name</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REGISTER_FROM_SOCIAL
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>auth/register-from-social</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GET_PROFILE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>profile</code>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="SocialProviders"></a>
                        <span class="name"><b>SocialProviders</b><a href="#SocialProviders"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FACEBOOK
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>facebook</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/routes/business/index.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="Routes"></a>
                        <span class="name"><b>Routes</b><a href="#Routes"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GET_BUSINESS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>/business/:business_id</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GET_BUSINESSES_FOR_USER
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>/:user_id</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GET_BUSINESS_REQUESTS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>/business-requests</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;APPLY_AFFILIATE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>/apply-affiliate</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;CREATE_BUSINESS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>/create-business</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;CREATE_POST
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>/create-post</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ACTIVATE_BUSINESS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>/activate</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/services/users/models/social-account.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="SocialProviders"></a>
                        <span class="name"><b>SocialProviders</b><a href="#SocialProviders"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FACEBOOK
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>Facebook</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;INSTAGRAM
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>Instagram</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;TWITTER
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>Twitter</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;TWITCH
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>Twitch</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;MICROSOFT
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>Microsoft</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GOOGLE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>Google</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/routes/socket/index.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="SocketRooms"></a>
                        <span class="name"><b>SocketRooms</b><a href="#SocketRooms"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;USER
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>user/</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;GROUP
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>group/</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'miscellaneous-enumerations';
            var COMPODOC_CURRENT_PAGE_URL = 'enumerations.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
